#include <iostream>
using namespace std;

int main()
{
    long long int n,m,i,j;
    cin>>n>>m;
    long long int u[n],d[n];
    long long int ki[m];
    for(i=0;i<m;i++)
        ki[i]=0;
    for(i=0;i<n;i++)
    {
        cin>>d[i]>>u[i];
    }
    long long int l[m],r[m],x[m];
    for(i=0;i<m;i++)
    {
        cin>>l[i];
        cin>>r[i];
        cin>>x[i];
        for(j=l[i]-1;j<=r[i]-1;j++)
        {
            if(((d[j]<=x[i])&&(u[j]>=x[i])))
        {
            ki[i]=ki[i]+1;
        }
        }
    }
    for(i=0;i<m;i++)
        cout<<ki[i]<<endl;
    return 0;
}